body {
        background-color: rgb(255, 255, 255) !important;
}

@media only screen and (max-width: 400px) {
    .custom-menu-item {
    padding: 5px 10px !important;
    font-size: 13px !important;}
    .custom-submenuitem {margin: -10px 0 13px -10px !important; }
    .column-one-menu {padding: 10px 0px 0px 10px !important;}
    
    div.colourname {
    font-size: 10px !important; }
    
/*    #banner {
   position: absolute;
   top: 70% !important;
   text-align: center;
   font-size: 1.5em !important;
   width: 90% !important;
    } */
    #view-list-items {
    max-height: calc(50vh + 2px - 10px - (4px + 14px)) !important; }   
    .disclaimer-text {margin: 0 10% !important; }
}


#info-text{ display:none !important; }

    @font-face {
      font-family: 'Open Sans';
      font-style: normal;
      font-weight: 400;
      src: local('Open Sans'), local('OpenSans'),
      url('../2025-07-21-15-23-33/webwalk/font/open-sans-v28-vietnamese_latin-ext_latin-regular.woff2') format('woff2'), /* Chrome 26+, Opera 23+, Firefox 39+ */
      url('../2025-07-21-15-23-33/webwalk/font/open-sans-v28-vietnamese_latin-ext_latin-regular.woff') format('woff'); /* Chrome 6+, Firefox 3.6+, IE 9+, Safari 5.1+ */
    }

    /* Original font awesome font-family names have been replaced to not rely on
       font-weight when determining actual symbol, as it didn't work well
       when rendering using 2D canvas features, and also to avoid spaces in
       the names. */

    @font-face {
      font-family: 'FontAwesomeBrands';
      src: url("../2025-07-21-15-23-33/webwalk/font/fa-brands-400.woff2") format("woff2"),
           url("../2025-07-21-15-23-33/webwalk/font/fa-brands-400.woff") format("woff"); }

    @font-face {
      font-family: 'FontAwesomeRegular';
      src: url("../2025-07-21-15-23-33/webwalk/font/fa-regular-400.woff2") format("woff2"),
           url("../2025-07-21-15-23-33/webwalk/font/fa-regular-400.woff") format("woff"); }

    @font-face {
      font-family: 'FontAwesomeSolid';
      src: url("../2025-07-21-15-23-33/webwalk/font/fa-solid-900.woff2") format("woff2"),
           url("../2025-07-21-15-23-33/webwalk/font/fa-solid-900.woff") format("woff"); }

  #view-list-slide {display: none;}

    #cover-image {
      background-image: url("../2025-07-21-15-23-33/cover.jpg");
    }

    .ext-popup-close-button {
      background-image: url("../2025-07-21-15-23-33/webwalk/img/close.svg");
    }
  
    #banner {
   position: absolute;
   top: 30px;
   text-align: center;
   font-size: 3em;
   width: 50%;
   z-index: 10;
   left: 50%;
   transform: translatex(-50%);
}
.fadeout {
  visibility: hidden;
  opacity: 0;
  transition: visibility 0s 1s, opacity 1s linear;
}
#picker {
   position: absolute;
   top: 0px;
   width: 200px;
   z-index: 99;
}

#picker > img, #picker > video {
  width: 64px;
  height: 64px;
  margin: 8px;
}

    /* Style for the menu */
    .custom-menu {
      list-style-type: none;
      padding: 0;
      width: auto;
      background-color: rgba(0, 0, 0, 0.5);
    }

    /* Style for the menu items */
    .custom-menu-item {
      padding: 8px;
      cursor: pointer;
      list-style: none;    background-color: rgba(0, 0, 0, 0.5); }
    
    li.custom-menu-item {  background-color: rgba(0, 0, 0, 0.5); color: #fff;margin: 1px 0px; font-size:14px;}
    
     li.custom-menu-item:hover {  background-color: rgba(0, 0, 0, 1); }

    .cmenu {
      display: none;
      list-style: none; 
      padding: 5px 8px 5px 5px;
    }

    .custom-submenu {
      display: none;
      list-style: none; 
      padding: 5px;
    }
    
    .grid-custom-submenu {
      display: none;
      list-style: none; 
      padding: 5px;
      padding-left: 0px;
padding-bottom: 10px;
list-style: none;
display: none;
grid-template-columns: auto auto;
    }
    
    
    .custom-submenuitem {
    padding-left: 0px;
    padding-bottom: 10px;
    list-style: none;
    display: none;
    grid-template-columns: auto auto;
    }

    
.custom-oddsubmenuitem {
      padding-left: 0px;
      list-style: none; 
      display:none;  
    }    
    
.submenu-oddcolumns {
            display: flex ;
            flex-wrap: wrap;}

.submenu-column {
            flex: 1;
            padding: 10px;}      

/* Style for the submenu with text*/
    .custom-submenu2 {
      display: none;
      padding: 20px;
      list-style: none; columns: 1; background-color: rgba(0, 0, 0, 0.5);
    }
    
  
 ul.custom-submenu img  {  
    width: 64px;
  height: 64px;
  margin: 13px 13px 0 13px; border-radius: 5px;}

 ul.grid-custom-submenu img  {  
    width: 64px;
  height: 64px;
  margin: 13px 13px 0 13px; border-radius: 5px;}

div.colourname {
    font-size: 12px;
    letter-spacing: -0.5px;
    text-align: center;
    width: 90px; }

.custom-submenu-item2  {
    font-size: 16px;
    margin: 0px 0 -10px 15px;
}
    
li.secondmenu {
    margin: 5px 0px;
    background-color: #D8D6C5;
    color: #050505;
    font-size: 14px;}

li.secondmenu:hover {
    background-color: #ffffff; }  
    
#view-list-items {
    max-height: calc(70vh + 2px - 10px - (4px + 14px)) !important; }     
    
.hidemenu {display:none !important; }

        /* Style for the slide panel on the left */
        .slide-panel {
            position: fixed;
            top: 0;
            left: 0px; /* Start with the panel hidden on the left */
            width: 200px;
            height: auto;
            transition: left 0.3s ease;
        }

.slide-toggle {background-color: rgba(0, 0, 0, 0.5);
    cursor: pointer;
    left: 0;
    position: fixed;
    min-width: 0px;
    width: 26px;
    padding: 8px;}
    
    .slide-toggle:hover     {background-color: rgba(0, 0, 0, 1) }
    
    .slide-toggle > img {width:100%;} 
        
/* 3rd level menu */
    .custom-subsubmenuitem {
      padding-left: 0px;
      list-style: none; 
      grid-template-columns: auto auto;
      display:none;  
    } 
    .column-one-menu{ 
     grid-template-columns: auto !important ;
    }
    
    li.custom-menu-subitem {
   color: #333;
    margin: 1px 0px;
    font-size: 13px;
    padding: 4px 10px;
    }
    .custom-menu-subitem {
    padding: 10px;
    cursor: pointer;
    list-style: none;}
/* end 3rd level menu */


#screenshot-menu {
  position: absolute;
  top: 30px;
  left: 30px;
  width: 200px;
  padding: 10px;
  z-index: 15;
  font-size: 1.5em;
  background-color: rgba(0, 0, 0, 0.3);
  cursor: pointer;
}
#screenshotImage {display: none; }

.screenshotImage { 
    left:50%;
    transform: translateX(-50%);
    width: 100px;
    transition: left 0.3s ease;
    bottom: 0;
    position: fixed; 
   cursor: pointer; 
    }

.screenshotMenu {background-color:transparent; }

#text {color:black}
    

.custom-first-submenuitem {
    padding-left: 0px;
    list-style: none;
    display: none;
    }
    
li.custom-menu-subitem {
    color: #000;
    margin: 2px 0px;
    font-size: 13px;
    padding: 5px 10px;
    }
    
.custom-menu-subitem {
    padding: 10px;
    cursor: pointer;
    list-style: none;}
    
/*disclaimer section */
#content-box {display: none;}
button {
      display: inline-block;
      padding: 10px 20px;
      margin: 30px 10px;
      font-size: 16px;
      cursor: pointer;
      border: none;
      border-radius: 5px;
      color: #fff;
    } 
#agree-btn {
      background-color: #d48f0a;
    }
#disagree-btn {
      background-color: #0c5c97;}
      
.img-logo {position: fixed;
    bottom: 50%;
    width: 100%;}

#disclaimer-content {    background-color: #FFFFFF;
    text-align: center;
    position: absolute;
    top: 50%; 
    width: 100%;
}
/* end disclaimer section */

.splash-screen {
    background-color: #FFFFFF;
    position: fixed;
    width: 100%;
    opacity: 1;
    transition: opacity 2s ease;
    z-index: 99999999;
    align-items: center;
    text-align: center;
    height: 100vh;
    display: flex;
    justify-content: center;
}

.loading-bar {
    width: 500px;
    background-color: #ddd;
    border-radius: 5px;
    overflow: hidden;
    position: fixed;
    top: 55%;
}
            
.progress {
    width: 0;
    height: 15px;
    background-color: #52a8ee;
    transition: width 0.3s ease-in-out;
    }
        
.disclaimer-text {
    color: #333333;
    font-size: 16px;
    margin: 0 20%;
    line-height: 1.5em;
}
    
.disclaimer-text #text {
    font-size: 14px;
    margin: 0 10%;}        
